Name:           python-koji
Version:        1.35.3
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Koji is a system for building and tracking RPMS. The base package contains shared libraries and the command-line interface.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            http://pagure.io/koji/
Source:         %{pypi_source koji}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'koji' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-koji
Summary:        %{summary}

%description -n python3-koji %_description


%prep
%autosetup -p1 -n koji-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-koji -f %{pyproject_files}


%changelog
%autochangelog